# Uses of Interface
org.eclipse.emf.cdo.expressions.StringValue

Packages that use StringValue
Package
Description
org.eclipse.emf.cdo.expressions
The generated EMF API of the CDO expressions model.
org.eclipse.emf.cdo.expressions.impl
The generated EMF implementation of the CDO expressions model.
org.eclipse.emf.cdo.expressions.util
The generated EMF utilities of the CDO expressions model.

## Uses of StringValue in org.eclipse.emf.cdo.expressions

Methods in org.eclipse.emf.cdo.expressions that return StringValue
Modifier and Type
Method
Description
`StringValue`
ExpressionsFactory.`createStringValue()`
Returns a new object of class 'String Value'.

## Uses of StringValue in org.eclipse.emf.cdo.expressions.impl

Classes in org.eclipse.emf.cdo.expressions.impl that implement StringValue
Modifier and Type
Class
Description
`class`
`StringValueImpl`
An implementation of the model object 'String Value'.
Methods in org.eclipse.emf.cdo.expressions.impl that return StringValue
Modifier and Type
Method
Description
`StringValue`
ExpressionsFactoryImpl.`createStringValue()`

## Uses of StringValue in org.eclipse.emf.cdo.expressions.util

Methods in org.eclipse.emf.cdo.expressions.util that return StringValue
Modifier and Type
Method
Description
`static StringValue`
ExpressionsUtil.`value(String literal)`
Methods in org.eclipse.emf.cdo.expressions.util with parameters of type StringValue
Modifier and Type
Method
Description
`T`
ExpressionsSwitch.`caseStringValue(StringValue object)`
Returns the result of interpreting the object as an instance of 'String Value'.